| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoMDC.registers.mre2_registers.MRE2TemperatureManager Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2TemperatureManager:

## Public Member Functions
def | __init__ (self, board=None)
def | GetScutiTemperature (self)
def | GetProxyTemperature (self)
def | GetScutiTemperatureThreshold (self)
def | GetProxyTemperatureThreshold (self)
def | SetScutiTemperatureThreshold (self, value)
def | SetProxyTemperatureThreshold (self, value)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| scuti_temperature
| proxy_temperature
| scuti_temp_threshold
| proxy_temp_threshold
| name

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |scuti_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |proxy_temperature   | 0x01 |uint 32-bit  |°C    |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |scuti_temp_threshold| 0x02 |uint 32-bit  |°C    |       | 65      |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    |proxy_temp_threshold| 0x03 |uint 32-bit  |°C    |       | 65      |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetProxyTemperature()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetProxyTemperature | ( |  | self | ) |

## ◆ GetProxyTemperatureThreshold()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetProxyTemperatureThreshold | ( |  | self | ) |

## ◆ GetScutiTemperature()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetScutiTemperature | ( |  | self | ) |

## ◆ GetScutiTemperatureThreshold()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.GetScutiTemperatureThreshold | ( |  | self | ) |

## ◆ help()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.help | ( |  | ) |
| static

## ◆ SetProxyTemperatureThreshold()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.SetProxyTemperatureThreshold | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetScutiTemperatureThreshold()

def optoMDC.registers.mre2_registers.MRE2TemperatureManager.SetScutiTemperatureThreshold | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ name

optoMDC.registers.mre2_registers.MRE2TemperatureManager.name

## ◆ proxy_temp_threshold

optoMDC.registers.mre2_registers.MRE2TemperatureManager.proxy_temp_threshold

## ◆ proxy_temperature

optoMDC.registers.mre2_registers.MRE2TemperatureManager.proxy_temperature

## ◆ scuti_temp_threshold

optoMDC.registers.mre2_registers.MRE2TemperatureManager.scuti_temp_threshold

## ◆ scuti_temperature

optoMDC.registers.mre2_registers.MRE2TemperatureManager.scuti_temperature

## ◆ sys_id

optoMDC.registers.mre2_registers.MRE2TemperatureManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py